Skip to main content
`Ctrl`+`K`

# ISRestoreNonlocalIS

Restore the `IS` obtained with `ISGetNonlocalIS()`.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISRestoreNonlocalIS(IS is, IS *complement)

Not collective.

## Input Parameters

- is - the index set

- complement - index set of `is`’s nonlocal indices

## See Also

`IS`, `ISGetNonlocalIS()`, `ISGetNonlocalIndices()`, `ISRestoreNonlocalIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages